Subject: Re: Accessing hardware -- nasm and gcc
From: [email-masked] (Earnie Boyd)

12 Mar 1998 23:13:29 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>From: "Tijs Michels" <[email-masked]>
>To: "Paul Garceau" <[email-masked]>
>Date: Wed, 11 Mar 1998 12:22:21 MET
>Subject: Accessing hardware -- nasm and gcc
>Reply-to: [email-masked]
>CC: [email-masked]
>
<snip>

>I have a simple .c file mijn.c consisting of four lines:
>
>   extern void tijs(void);
>   int main(void) {
>   tijs();
>   }
>
>I have a simple .asm file mijn.asm like this:
>
>      BITS 32
>      GLOBAL _tijs
>
>      SECTION .text
>
>; prototype: void tijs(void);
>_tijs mov dx,0x3C8 ; Port 3C8h to switch to PEL address write mode.
>      mov al,1     ; By default palette register 01h is mapped to
>      out dx,al    ; PEL data register 01h. So to change the color
>      inc dx       ; of attribute 1.h address PEL data register 01h.
>      xor al,al    ; To compose a color set the intensity of red,
>      out dx,al    ; green, and blue on a scale from 0h to 3Fh (63).
>      out dx,al    ; bright blue (00_00_FFh) corresponds to 00_00_
>      mov al,0x3F  ; 3Fh.
>      out dx,al    ;
>      ret
>
>      SECTION .data
>      SECTION .bss
>
>Next I issue the following two commands:
>
>  nasm -f coff mijn.asm

I'm not claiming to know anything here, but, I would like to suggest 
that you try this:  

mv mijn.asm mijn.s
gcc -c mijn.s

>  gcc -o mijn mijn.c mijn.o
>
<snip>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".